KReplaceDialog class Reference (kutils Library)

| # kutils Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KReplaceDialog Class Reference

A generic "replace" dialog. More...

`#include <kreplacedialog.h>`

Inheritance diagram for KReplaceDialog:

[legend]
Collaboration diagram for KReplaceDialog:

[legend]
List of all members.

## Public Types
enum | Options { PromptOnReplace = 256, BackReference = 512 }
## Public Member Functions
| KReplaceDialog (QWidget *parent=0, const char *name=0, long options=0, const QStringList &findStrings=QStringList(), const QStringList &replaceStrings=QStringList(), bool hasSelection=true)
| Construct a replace dialog.read-only or rather select-only combo box with a parent object and a name.
virtual | ~KReplaceDialog ()
| Destructor.
void | setReplacementHistory (const QStringList &strings)
| Provide the list of `strings` to be displayed as the history of replacement strings.
QStringList | replacementHistory () const
| Returns the list of history items.
void | setOptions (long options)
| Set the options which are enabled.
long | options () const
| Returns the state of the options.
QString | replacement () const
| Returns the replacement string.
QWidget * | replaceExtension ()
| Returns an empty widget which the user may fill with additional UI elements as required.
## Protected Slots
void | slotOk ()
virtual void | showEvent (QShowEvent *)

## Detailed Description

A generic "replace" dialog.

Author:
  S.R.Haque <srhaque@iee.org>

Detail

This widget inherits from KFindDialog and implements the following additional functionalities: a replacement string object and an area for a user-defined widget to extend the dialog.

Example

To use the basic replace dialog:

To use your own extensions:

Definition at line 57 of file kreplacedialog.h.

## Constructor & Destructor Documentation

KReplaceDialog::KReplaceDialog | ( | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | long | options = 0,
|  | const QStringList & | findStrings = QStringList(),
|  | const QStringList & | replaceStrings = QStringList(),
|  | bool | hasSelection = true
| ) |

  | Construct a replace dialog.read-only or rather select-only combo box with a parent object and a name. Parameters:
  parent | The parent object of this widget
  name | The name of this widget
  options | A bitfield of the Options to be enabled.
  hasSelection | Whether a selection exists
Definition at line 39 of file kreplacedialog.cpp. References KStdAccel::name(), and setOptions().

KReplaceDialog::~KReplaceDialog | ( |  | ) | `[virtual]`

| Destructor. Definition at line 48 of file kreplacedialog.cpp.

## Member Function Documentation

void KReplaceDialog::setReplacementHistory | ( | const QStringList & | strings | ) |

  | Provide the list of `strings` to be displayed as the history of replacement strings. `strings` might get truncated if it is too long. Parameters:
  history | The replacement history.
See also: replacementHistory Definition at line 99 of file kreplacedialog.cpp.

QStringList KReplaceDialog::replacementHistory | ( |  | ) | const

| Returns the list of history items. See also: setReplacementHistory Definition at line 87 of file kreplacedialog.cpp.

void KReplaceDialog::setOptions | ( | long | options | ) |

  | Set the options which are enabled. Parameters:
  options | The setting of the Options.
Reimplemented from KFindDialog. Definition at line 92 of file kreplacedialog.cpp. References KFindDialog::setOptions(). Referenced by KReplaceDialog().

long KReplaceDialog::options | ( |  | ) | const

| Returns the state of the options. Disabled options may be returned in an indeterminate state. See also: setOptions Reimplemented from KFindDialog. Definition at line 59 of file kreplacedialog.cpp. References KFindDialog::options(), and options(). Referenced by options().

QString KReplaceDialog::replacement | ( |  | ) | const

| Returns the replacement string. Definition at line 82 of file kreplacedialog.cpp.

QWidget * KReplaceDialog::replaceExtension | ( |  | ) |

| Returns an empty widget which the user may fill with additional UI elements as required. The widget occupies the width of the dialog, and is positioned immediately the regular expression support widgets for the replacement string. Definition at line 71 of file kreplacedialog.cpp.

The documentation for this class was generated from the following files:

- kreplacedialog.h
- kreplacedialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:28:10 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001